Link a person to a business
curl --request POST \
--url https://api.nextlevelmca.com/v1/people/{id}/associations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "<string>",
"role": "owner",
"ownership_percent": 50
}
'import requests
url = "https://api.nextlevelmca.com/v1/people/{id}/associations"
payload = {
"business_id": "<string>",
"role": "owner",
"ownership_percent": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_id: '<string>', role: 'owner', ownership_percent: 50})
};
fetch('https://api.nextlevelmca.com/v1/people/{id}/associations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"status": "<string>",
"role": "owner",
"ownership_percent": 123,
"active": true,
"is_primary_contact": true
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}People
Link a person to a business
Associates the person with a business as owner (default), co-owner, bookkeeper or other. Linking an existing pair again updates role / ownership. The first person on a business becomes its primary contact.
POST
/
v1
/
people
/
{id}
/
associations
Link a person to a business
Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Person id
Body
application/json
Business to link the person to. Linking the same pair again updates role / ownership instead of failing.
Role on the business.
Available options:
owner, co-owner, bookkeeper, other Ownership percentage.
Required range:
0 <= x <= 100Was this page helpful?